# Create a new usage product reference Endpoint: POST /usage-product-references Version: 2.30 Security: bearerAuth ## Request fields (application/json): - `usageProductInventoryId` (integer) Usage product inventory identifier - required when creating a new usage product reference Example: 1 - `productReference` (string, required) Product reference. Extra validations may be applied depending on product configurations. - `primary` (boolean) True if product reference is primary (main billing number) - `label` (string) Product reference - `startDate` (string, required) Start date - `endDate` (string) End date - `userId` (string) User Id - `userEmail` (string) User email address - `costCentreCode` (string) Cost centre code - `departmentCode` (string) Department code - `notes` (string) Notes ## Response 200 fields (application/json): - `id` (integer) Product reference identifier Example: 1 - `usageProductInventoryId` (integer) Usage product inventory identifier - required when creating a new usage product reference Example: 1 - `productReference` (string, required) Product reference. Extra validations may be applied depending on product configurations. - `primary` (boolean) True if product reference is primary (main billing number) - `label` (string) Product reference - `startDate` (string, required) Start date - `endDate` (string) End date - `userId` (string) User Id - `userEmail` (string) User email address - `costCentreCode` (string) Cost centre code - `departmentCode` (string) Department code - `notes` (string) Notes ## Response 201 fields (application/json): - `id` (integer) Product reference identifier Example: 1 - `usageProductInventoryId` (integer) Usage product inventory identifier - required when creating a new usage product reference Example: 1 - `productReference` (string, required) Product reference. Extra validations may be applied depending on product configurations. - `primary` (boolean) True if product reference is primary (main billing number) - `label` (string) Product reference - `startDate` (string, required) Start date - `endDate` (string) End date - `userId` (string) User Id - `userEmail` (string) User email address - `costCentreCode` (string) Cost centre code - `departmentCode` (string) Department code - `notes` (string) Notes ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields